using Domain;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;


namespace Infrastructure
{
    public class DocumentEntityTypeConfiguration : IEntityTypeConfiguration<Document>
    {
        public void Configure(EntityTypeBuilder<Document> builder)
        {
            builder.ToTable("Document");

            builder.HasKey(x => x.DocumentKey);

            builder.Property(x => x.DocumentKey).HasColumnName("DocumentKey");
            builder.Property(x => x.DocumentName).HasColumnName("DocumentName");
            
        }
    }
}
